# pandas.MultiIndex.get_loc

MultiIndex.get_loc(key, method=None)

  Get location for a label or a tuple of labels.

  The location is returned as an integer/slice or boolean mask.

  Parameters
    key label or tuple of labels (one for each level)
    method None
  Returns
    loc int, slice object or boolean mask

      If the key is past the lexsort depth, the return may be a boolean mask array, otherwise it is always a slice or int.

  See also

  `Index.get_loc`

    The get_loc method for (single-level) index.

  `MultiIndex.slice_locs`

    Get slice location given start label(s) and end label(s).

  `MultiIndex.get_locs`

    Get location for a label/slice/list/mask or a sequence of such.

  Notes

  The key cannot be a slice, list of same-level labels, a boolean mask, or a sequence of such. If you want to use those, use `MultiIndex.get_locs()` instead.

  Examples

      >>> mi = pd.MultiIndex.from_arrays([list('abb'), list('def')])

      >>> mi.get_loc('b')
      slice(1, 3, None)

      >>> mi.get_loc(('b', 'e'))
      1